MENU(3)

NAME
MENU

SYNOPSIS
#include <allegro.h>

typedef struct MENU

DESCRIPTION
   char *text;          - the text to display for the menu item
   int (*proc)();       - called when the menu item is clicked
   struct MENU *child;  - nested child menu
   int flags;           - disabled or checked state
   void *dp;            - pointer to any data you need

Structure used to hold an entry of a menu. Read chapter "GUI routines", section "Gui menus" for a description on how to obtain/use this structure.

SEE ALSO